di_mem_area Struct Reference
Di_mem_chunk

a mem area More...

## Data Fields

di_mem_area * | next
di_mem_area * | prev
size_t | index
size_t | free
size_t | allocated
char | mem [MEM_AREA_SIZE]

## Detailed Description

a mem area

## Field Documentation

## allocated

size_t allocated

the number of atoms allocated from this area

Referenced by di_mem_chunk_alloc().

## free

size_t free

the number of free bytes in this mem area

Referenced by di_mem_chunk_alloc().

## index

size_t index

the current index into the "mem" array

Referenced by di_mem_chunk_alloc().

## mem

char mem[MEM_AREA_SIZE]

the mem array from which atoms get allocated the actual size of this array is determined by the mem chunk "area_size". ANSI says that it must be declared to be the maximum size it can possibly be (even though the actual size may be less).

Referenced by di_mem_chunk_alloc().

## next

di_mem_area* next

the next mem area

Referenced by di_mem_chunk_alloc().

## prev

di_mem_area* prev

the previous mem area

Referenced by di_mem_chunk_alloc().